package com.kingdee.eas.custom.perfweb;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.eas.framework.ICoreBillBase;
import com.kingdee.eas.custom.perfweb.app.*;
import com.kingdee.bos.Context;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.eas.framework.CoreBillBase;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.bos.framework.*;

public class AssessmentResultDescription extends CoreBillBase implements IAssessmentResultDescription
{
    public AssessmentResultDescription()
    {
        super();
        registerInterface(IAssessmentResultDescription.class, this);
    }
    public AssessmentResultDescription(Context ctx)
    {
        super(ctx);
        registerInterface(IAssessmentResultDescription.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("5C1E7175");
    }
    private AssessmentResultDescriptionController getController() throws BOSException
    {
        return (AssessmentResultDescriptionController)getBizController();
    }
    /**
     *取集合-System defined method
     *@return
     */
    public AssessmentResultDescriptionCollection getAssessmentResultDescriptionCollection() throws BOSException
    {
        try {
            return getController().getAssessmentResultDescriptionCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param view 取集合
     *@return
     */
    public AssessmentResultDescriptionCollection getAssessmentResultDescriptionCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getAssessmentResultDescriptionCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param oql 取集合
     *@return
     */
    public AssessmentResultDescriptionCollection getAssessmentResultDescriptionCollection(String oql) throws BOSException
    {
        try {
            return getController().getAssessmentResultDescriptionCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@return
     */
    public AssessmentResultDescriptionInfo getAssessmentResultDescriptionInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getAssessmentResultDescriptionInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@param selector 取值
     *@return
     */
    public AssessmentResultDescriptionInfo getAssessmentResultDescriptionInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getAssessmentResultDescriptionInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param oql 取值
     *@return
     */
    public AssessmentResultDescriptionInfo getAssessmentResultDescriptionInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getAssessmentResultDescriptionInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}